Voice Agent API
Voice agents that answer real phone calls. Phone or browser, from one API or any MCP client.
Voice agents that answer real phone calls. Phone or browser, from one API or any MCP client.
This request needs an API key and an agent id. It does not need a phone number. Connecting a carrier for a real phone call is the quickstart.
curl -X POST https://api.rymi.live/v1/calls \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "550e8400-e29b-41d4-a716-446655440000",
"participants": [
{ "transport": "webrtc", "identity": "browser-tab-1" }
]
}'import { Rymi } from '@rymi/node';
const rymi = new Rymi();
const call = await rymi.calls.create({
agent_id: '550e8400-e29b-41d4-a716-446655440000',
participants: [{ transport: 'webrtc', identity: 'browser-tab-1' }],
});from rymi import Rymi
rymi = Rymi()
call = rymi.calls.create(
agent_id="550e8400-e29b-41d4-a716-446655440000",
participants=[{"transport": "webrtc", "identity": "browser-tab-1"}],
){
"mcpServers": {
"rymi": {
"type": "http",
"url": "https://mcp.rymi.live/",
"headers": {
"Authorization": "Bearer rymi_your_secret_key"
}
}
}
}POST /v1/agents/apply-changes. See reference →POST /v1/agents/generate.